
# *SimuBox* for science calculation

[![Static Badge](https://img.shields.io/badge/GitHub-SimuBox-7C8EFF?logo=github)](https://github.com/KangruiYuan/SimuBox.git)
[![Static Badge](https://img.shields.io/badge/PyPI-SimuBox-B39CD0?logo=pypi)](https://pypi.org/project/SimuBox/)
![Static Badge](https://img.shields.io/badge/python-version_3.8%2B-blue?logo=python&logoColor=white)
[![Static Badge](https://img.shields.io/badge/DOI-doi.org%2F10.1002%2Fchem.202301043-purple)](https://doi.org/10.1002/chem.202301043)

## 框架 Framework

![Framework](https://github.com/KangruiYuan/SimuBox/blob/main/Docs/Figures/summary.png)


## 愿景 Purpose

> 生活的全部意义在于无穷地探索尚未知道的东西，在于不断地增加更多的知识。 —— 左拉 《萌芽》

尽管该仓库实现了一些科学计算，且大部分是为了实现自己的需求，功能也相对驳杂，
但依旧希望能够帮到部分人。


## 安装引导 Installation 

- 方法一：从仓库克隆

`git clone https://github.com/KangruiYuan/SimuBox.git`

最后将其配置到python环境中。

- 方法二：通过pip下载，相应版本一般落后于本仓库

`pip install SimuBox`

## 使用示例 Demos

示例请见[`/Demos/Scripts.ipynb`](https://github.com/KangruiYuan/SimuBox/blob/main/Demos/Scripts.ipynb)

## 联系方式 Contact

该库为本人求学期间为完成科研工作而常用的模块的集合，可能并不完善。任何问题请发布在`issue`或者通过邮件联系本人。
`E-mail：kryuan@qq.com`

## 引用 Citing

```bibtex
@article{SimuBox,
   author = {Yuan, K. and Xu, Z. and Li, W. and Huang, X.},
   title = {Reexamine the emergence and stability of the square cylinder phase in block copolymers},
   journal = {Chem. Eur. J.},
   volume = {10.1002/chem.202301043},
   pages = {e202301043},
   keywords = {block copolymer, self-assembly, self-consistent field theory, square cylinder
phase},
   ISSN = {1521-3765 (Electronic)
0947-6539 (Linking)},
   DOI = {10.1002/chem.202301043},
   url = {https://www.ncbi.nlm.nih.gov/pubmed/37199182},
   year = {2023},
   type = {Journal Article}
}
```